register_trace_handler(3)

NAME
register_trace_handler - Registers a custom handler for trace output. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_trace_handler(int (*handler)(const char *msg));

DESCRIPTION
Supplies a custom handler function for dealing with trace output. Your callback will be passed a formatted error message in ASCII, and should return non-zero if it has processed the message, or zero to continue with the default actions. You could use this to ignore trace output, or to display the messages on a second monochrome monitor, etc. Example:
   int network_broadcaster(const char *text)
   {
      int f;

      for (int f = 0; f
         send_msg_to_client(client[f], text);

      return 0; /* Let normal tracing occur. */
   }
   ...
      register_trace_handler(network_broadcaster);
      TRACE("Networked tracing activated\n");

SEE ALSO
al_trace(3), TRACE(3), register_assert_handler(3)